Package org.apache.tomcat.util.descriptor.web

## Class ContextEjb

- java.lang.Object
- - org.apache.tomcat.util.descriptor.web.ResourceBase
  - - org.apache.tomcat.util.descriptor.web.ContextEjb

All Implemented Interfaces:
  `Serializable`, `Injectable`

    public class ContextEjb
    extends ResourceBase

Representation of an EJB resource reference for a web application, as represented in a `<ejb-ref>` element in the deployment descriptor.

Author:
  Craig R. McClanahan, Peter Rossbach (pero@apache.org)
See Also:
  Serialized Form

### Constructor Summary

Constructors
`ContextEjb()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals​(Object obj)`
`String` `getHome()`
`String` `getLink()`
`String` `getRemote()`
`int` `hashCode()`
`void` `setHome​(String home)`
`void` `setLink​(String link)`
`void` `setRemote​(String remote)`
`String` `toString()` Return a String representation of this object.

### Methods inherited from class org.apache.tomcat.util.descriptor.web.ResourceBase

`addInjectionTarget, getDescription, getInjectionTargets, getLookupName, getName, getNamingResources, getProperty, getType, listProperties, removeProperty, setDescription, setLookupName, setName, setNamingResources, setProperty, setType`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ContextEjb

    public ContextEjb()

### Method Detail

#### getHome

    public String getHome()

#### setHome

    public void setHome​(String home)

#### getLink

    public String getLink()

#### setLink

    public void setLink​(String link)

#### getRemote

    public String getRemote()

#### setRemote

    public void setRemote​(String remote)

#### toString

    public String toString()

Return a String representation of this object.

Overrides:
  `toString` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `ResourceBase`

#### equals

    public boolean equals​(Object obj)

Overrides:
  `equals` in class `ResourceBase`